function DbControllerLambda() {

	this.init = function() {
	};
	
	this.open = function() {
	};
	
	this.close = function() {
	};
	
	function invoke(payLoad, callback) {
		console.log('AWS.config=');
		console.log(AWS.config);
		var lambda = new AWS.Lambda();
		var params = {
		FunctionName : 'MyNoteFunc',
			InvocationType : 'RequestResponse',
			Payload : JSON.stringify(payLoad)
		};
		lambda.invoke(params, function(err, data) {
			if (err) {
				console.log('error:' + err);
				callback(false, err);
			} else {
				if (data.FunctionError) {
					console.log('function error:' + data);
					callback(false, data.Payload);
				} else {
					console.log(data);
					callback(true, JSON.parse(data.Payload));
				}
			}
		});
	}

	this.getNoteList = function(userId, callback) {
		var payload = {
			func : 'getNoteList',
			param : {}
		};
		invoke(payload, function(isSuccess, data) {
			if (isSuccess) {
				callback(true, data.operation, data.notes);
			} else {
				callback(false, data, null);
			}
		});
	};

	this.sendNote = function(userId, text, editKey, callback) {
		var payload = {
			func : '',
			param : {
				'text' : text
			}
		};
		if (editKey !== null) {
			payload.param.date_time = editKey;
			payload.func = 'updateNote';
		} else {
			var now = new Date();
			payload.param.date_time = Util.date2str(now);
			payload.func = 'addNote';
		}
		invoke(payload, function(isSuccess, data) {
			if (isSuccess) {
				callback(true, data.operation, data.note);
			} else {
				callback(false, data, null);
			}
		});
	};

	this.clearAllNote = function(userId, callback) {
		var payload = {
			func : 'clearAll',
			param : {}
		};
		invoke(payload, function(isSuccess, data) {
			if (isSuccess) {
				callback(true, data.operation, data.notes);
			} else {
				callback(false, data, null);
			}
		});
	};
	
	this.deleteNote = function(userId, keyDateTime, callback) {
		var payload = {
			func : 'deleteNote',
			param : {
				'date_time' : keyDateTime
			}
		};
		invoke(payload, function(isSuccess, data) {
			if (isSuccess) {
				callback(true, data.operation, data.note);
			} else {
				callback(false, data, null);
			}
		});
	};
}
