function Storage(name, version) {
	var m_storage = null;
	var m_storageName = name;
	var m_storageVersion = version;
	
	this.load = function() {
		m_storage = null;
		var storageStr = localStorage.getItem(m_storageName);
		if (storageStr !== null) {
			console.log(storageStr);
			m_storage = JSON.parse(storageStr);
		}
		if (m_storage === null) {
			initStorage();
		}
	};
	
	function initStorage() {
		m_storage = {};
		m_storage.version = m_storageVersion;
	}
	
	this.save = function() {
		if (m_storage === null) {
			localStorage.removeItem(m_storageName);
			return;
		}
		var storageStr = JSON.stringify(m_storage);
		localStorage.setItem(m_storageName, storageStr);
		console.log(storageStr);
	};
	
	this.setItem = function(key, value) {
		if (m_storage === null) {
			initStorage();
		}
		m_storage[key] = value;
	};
	
	this.getItem = function(key) {
		if (m_storage.hasOwnProperty(key)) {
			return m_storage[key];
		} else {
			return null;
		}
	};
	
	this.removeItem = function(key) {
		if (m_storage === null) {
			return;
		}
		delete m_storage[key];
	};
	
	this.clear = function() {
		m_storage = null;
	};
}
